com.pdfunit.validators

## Class LayerNameValidator

- java.lang.Object
- - com.pdfunit.validators.AbstractValidator
  - - com.pdfunit.validators.LayerNameValidator

-     @DoNotObfuscate
      public final class LayerNameValidator
      extends com.pdfunit.validators.AbstractValidator

  Validator for layer names.
  Since:
    2013.01
  Author:
    Carsten Siedentop, February 2013

- - ### Field Summary

    - ### Fields inherited from class com.pdfunit.validators.AbstractValidator

      `testDocument`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LayerNameValidator(com.pdfunit.internal.spi.IDocument testDocument, AllLayersValidator backReference)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AllLayersValidator` | `containing(java.lang.String expectedLayerName)` Verifying that a layer exists, which name contains the value, given by the parameter.
    `AllLayersValidator` | `equalsTo(java.lang.String expectedLayerName)` Verifying that a layer exists, which name is equal to the value, given by the parameter.
    `AllLayersValidator` | `startingWith(java.lang.String expectedLayerName)` Verifying that a layer exists, which name starts with the value, given by the parameter.
    `LayerNameValidator` | `withName()` Preparation for following string comparation.

    - ### Methods inherited from class com.pdfunit.validators.AbstractValidator

      `closeDocument, equals, getDocument, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LayerNameValidator

          protected LayerNameValidator(com.pdfunit.internal.spi.IDocument testDocument,
                            AllLayersValidator backReference)

  - ### Method Detail

    - #### containing

          @Guarded
          public AllLayersValidator containing(java.lang.String expectedLayerName)

      Verifying that a layer exists, which name contains the value, given by the parameter.

    - #### equalsTo

          @Guarded
          public AllLayersValidator equalsTo(java.lang.String expectedLayerName)

      Verifying that a layer exists, which name is equal to the value, given by the parameter.

    - #### startingWith

          @Guarded
          public AllLayersValidator startingWith(java.lang.String expectedLayerName)

      Verifying that a layer exists, which name starts with the value, given by the parameter.

    - #### withName

          public LayerNameValidator withName()

      Preparation for following string comparation.

Copyright (C) PDFUnit.com. See here for license.